using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper8.SatIp.RtspResponses;

namespace skyscraper8.SatIp.RtspRequests
{
	internal class RtspDescribeRequest : RtspRequest
	{
		public RtspDescribeRequest() : base("DESCRIBE")
		{
		}

		public uint CSeq
		{
			set
			{
				base.args["CSeq"] = Convert.ToString(value);
			}
			get
			{
				return uint.Parse(base.args["CSeq"]);
			}
		}

		public string UserAgent
		{
			set
			{
				base.args["User-Agent"] = value;
			}
			get
			{
				return base.args["User-Agent"];
			}
		}

		public string Accept
		{
			set
			{
				base.args["Accept"] = value;
			}
			get
			{
				return base.args["Accept"];
			}
		}
	}
}
